Limerence
Datasets

List Dataset Sessions

List available chat sessions for importing into a dataset

GET
/datasets/{datasetId}/sessions

List available chat sessions for importing into a dataset

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

datasetId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/datasets/string/sessions"
[  {    "agentId": "string",    "agentName": "string",    "chatId": "string",    "createdAt": "string",    "id": "string",    "messageCount": 0,    "title": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}